Table of Contents

## Name

im_rot180, im_rot270, im_rot90, im_fliphor, im_flipver - rotate and flip an image

## Synopsis

#include <vips/vips.h>

int im_rot180(in, out)
IMAGE *in, *out;

int im_rot270(in, out)
IMAGE *in, *out;

int im_rot90(in, out)
IMAGE *in, *out;

int im_fliphor(in, out)
IMAGE *in, *out;

int im_flipver(in, out)
IMAGE *in, *out;

## Description

im_rot180(), im_rot270() and im_rot90(), rotate the input image in by 180, 270 and 90 degrees clockwise. im_fliphor() and im_flipver(), flip in horizontally and vertically respectively. All functions work for any size image, any type and any number of bands. All also work for LABPACK coded images.

## Return Value

All functions return 0 on success and -1 on error.

## See Also

rot180(1)

## Author

N. Dessipris - 5/12/1991

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Author